Subject: bug#66706: [PATCH] Automatic elisp dialect insertion

From: Eli Zaretskii <[email-masked]>
Date: Fri, 27 Oct 2023 10:32:47 +0300

> From: Michael Heerdegen <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked],
>   [email-masked],  [email-masked]
> Date: Fri, 27 Oct 2023 09:24:19 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Your point seems to be incompatible with our plan, which is to turn on
> > lexical-binding by default at some point.  We don't want to have a
> > schism of two separate flavors of Lisp, we want only one.  The current
> > situation is a transitional period, not the ideal.  You seem to be
> > suggesting that we should keep this situation forever, and that is not
> > what we decided, AFAIU.
> 
> No, I don't think you fully understand.  I only want to help the users
> with the transition.

I don't think it will help.  I guess we disagree about that.